%define docdir %_docdir/%name-%version

Name: fontconfig
Version: 2.3.2
Release: alt10

Summary: Font configuration and customization library & utilities
Group: System/Configuration/Other
License: MIT
Url: http://fontconfig.org/
Packager: Sergey V Turchin <zerg at altlinux dot org>

Obsoletes: lib%name
Provides: lib%name = %version-%release

Source: http://freedesktop.org/~fontconfig/release/%name-%version.tar.gz
Source1: alt-generic-names.conf
Source2: alt-pre-user.conf
Source3: alt-post-user.conf

Source4: lib%name-2.3.map

Source10: firsttime

# fontconfig.org
Patch1: fontconfig-2.3.2-noftinternals.patch
# RH
# Blacklist certain fonts that freetype can't handle.
Patch2: fontconfig-2.3-rh-blacklist.patch
# Ignore .fulldir entries from earlier versions 'dircache' fix.
Patch3: fontconfig-2.1-rh-fulldir.patch
#
# SuSE
Patch10: fontconfig-fonts.conf-alt.patch
Patch11: AppleRoman-DynaFont.patch
Patch12: euro.patch
Patch13: fontconfig-minmaxabs.patch
Patch14: fontconfig-sentinel.patch

%def_disable static
%{?_enable_static:BuildPreReq: glibc-devel-static}

%define freetype2_version 2.1.3

BuildPreReq: freetype2-devel >= %freetype2_version

# Automatically added by buildreq on Fri Mar 18 2005 (-bi)
#BuildRequires: OpenSP cm-super-fonts-tex-dvips docbook-dtds docbook-style-dsssl docbook-utils-print elinks freetype2-devel gcc-c++ gcc-g77 jadetex libexpat-devel libstdc++-devel openjade perl-SGMLSpm python-base python-modules-compiler python-modules-encodings sgml-common tetex-core tetex-latex urw-tex zlib-devel
BuildRequires: OpenSP cm-super-fonts-tex-dvips docbook-dtds docbook-style-dsssl
BuildRequires: docbook-utils-print elinks freetype2-devel gcc-c++ jadetex libexpat-devel
BuildRequires: libstdc++-devel openjade perl-SGMLSpm
BuildRequires: sgml-common tetex-core tetex-latex urw-tex zlib-devel

%description
Fontconfig is designed to locate fonts within the system and
select them according to requirements specified by applications.

%package devel
Summary: Development files for font configuration and customization library
Group: Development/C
Requires: %name = %version-%release

%description devel
The %name-devel package includes the header files
and developer documentation for the fontconfig package.

Install fontconfig-devel if you want to develop programs which
will use fontconfig.

%if_enabled static
%package devel-static
Summary: Static build of the font configuration and customization library
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
The %name-devel-static package includes the static libraries
for the fontconfig package.
%endif	# enabled static

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
#
%patch10 -p1
%patch11 -p0
%patch12 -p0
%patch13 -p0
%patch14 -p1

%__install -p -m644 %SOURCE4 src/symver.map

%build
%configure %{subst_enable static} \
    --disable-docs --with-docdir=%docdir \
    --with-default-fonts=%_datadir/fonts/default \
    --with-add-fonts=\
/usr/X11R6/lib/X11/fonts/misc,\
/usr/X11R6/lib/X11/fonts/TrueType,\
/usr/X11R6/lib/X11/fonts/msttf,\
%_datadir/fonts/TrueType-ms,\
%_datadir/fonts/j2se-sun,\
%_datadir/fonts/bitmap,\
%_datadir/fonts/ttf,\
%_datadir/fonts/type1,\
%_datadir/fonts/otf


%make_build export_symbols=-Wl,--version-script=symver.map
%make_install -C doc

%install
%__mkdir_p -m0744 %buildroot/%docdir %buildroot/%_man3dir/

%make_install install DESTDIR=%buildroot
%make_install install DESTDIR=%buildroot -C doc
%__install -pm644 conf.d/README %buildroot/%_sysconfdir/fonts/conf.d/

%__install -pm644 conf.d/README %buildroot/%_sysconfdir/fonts/conf.d/
%__install -pm644 doc/Fc*.3 %buildroot/%_man3dir/


# our fonts.conf
%__install -pm644 %SOURCE1 %buildroot/%_sysconfdir/fonts/alt-generic-names.conf
%__install -pm644 %SOURCE2 %buildroot/%_sysconfdir/fonts/alt-pre-user.conf
%__install -pm644 %SOURCE3 %buildroot/%_sysconfdir/fonts/alt-post-user.conf
> %buildroot/%_sysconfdir/fonts/local.conf

# firsttime update fonts cache
%__mkdir_p %buildroot/%_sysconfdir/firsttime.d/
%__install -m 0755 %SOURCE10 %buildroot/%_sysconfdir/firsttime.d/%name

%post
%post_ldconfig
[ -n "$DURING_INSTALL" ] || %_sysconfdir/firsttime.d/%name

%postun -p %postun_ldconfig

%files
%doc README AUTHORS ChangeLog doc/fontconfig-user.html doc/fontconfig-user.txt
%_bindir/fc-cache
%_bindir/fc-list
%_bindir/fc-match
%config %_sysconfdir/firsttime.d/%name
%dir %_sysconfdir/fonts
%config %_sysconfdir/fonts/fonts.dtd
%config %_sysconfdir/fonts/fonts.conf
%config %_sysconfdir/fonts/alt-*.conf
%ghost %config(missingok,noreplace) %_sysconfdir/fonts/local.conf
%dir %_sysconfdir/fonts/conf.d/
%config(noreplace) %_sysconfdir/fonts/conf.d/*
%_sysconfdir/fonts/conf.d/README
%_libdir/*.so.*
%_man1dir/*
%_man5dir/*

%files devel
%doc README AUTHORS ChangeLog doc/fontconfig-devel/ doc/fontconfig-devel.txt doc/fontconfig-devel.txt
%_libdir/*.so
%_libdir/pkgconfig/*
%_includedir/*
%_man3dir/*
%dir %docdir

%if_enabled static
%files devel-static
%_libdir/*.a
%endif	# enabled static

%changelog
* Tue May 22 2007 Sergey V Turchin <zerg at altlinux dot org> 2.3.2-alt10
- update font aliases; thanks shrek@alt

* Fri May 18 2007 Sergey V Turchin <zerg at altlinux dot org> 2.3.2-alt9
- add font aliases for DejaVu fonts

* Mon Apr 16 2007 ALT QA Team Robot <qa-robot@altlinux.org> 2.3.2-alt8.0
- Automated rebuild.

* Mon May 15 2006 Sergey V Turchin <zerg at altlinux dot org> 2.3.2-alt8
- add patch to don't use freetype internals 

* Mon Mar 20 2006 Sergey V Turchin <zerg at altlinux dot org> 2.3.2-alt7
- add entire %%_datadir/fonts/bitmap

* Fri Dec 30 2005 Sergey V Turchin <zerg at altlinux dot org> 2.3.2-alt6
- add %%_datadir/fonts/bitmap/terminus

* Fri Dec 16 2005 Sergey V Turchin <zerg at altlinux dot org> 2.3.2-alt5
- add /usr/share/fonts/otf to search paths

* Tue Dec 13 2005 Sergey V Turchin <zerg at altlinux dot org> 2.3.2-alt4
- remove /usr/X11R6/lib/X11/fonts/urw-ttf from search paths
- add /usr/share/fonts/bitmap/misc,/usr/share/fonts/ttf,/usr/share/fonts/type1
  to search paths

* Sat Sep 10 2005 Alexey Tourbin <at@altlinux.ru> 2.3.2-alt3
- NMU: introduced FC_2.3 ABI interface for new functions in libfontconfig.so.1

* Fri Aug 05 2005 Sergey V Turchin <zerg at altlinux dot org> 2.3.2-alt2
- add Misc Fixed to monospace alias

* Thu Jun 02 2005 Sergey V Turchin <zerg at altlinux dot org> 2.3.2-alt1
- new version
- merge configuration/patches from SuSE

* Fri Mar 18 2005 Sergey V Turchin <zerg at altlinux dot org> 2.3.0-alt1
- new version

* Thu Oct 21 2004 Sergey V Turchin <zerg at altlinux dot org> 2.2.3-alt1
- new version

* Thu Jun 17 2004 Sergey V Turchin <zerg at altlinux dot org> 2.2.2-alt4
- remove /usr/X11R6/lib/X11/fonts/Type1 from fonts.conf

* Thu Jun 17 2004 Sergey V Turchin <zerg at altlinux dot org> 2.2.2-alt3
- fix %%post

* Tue May 25 2004 Sergey V Turchin <zerg at altlinux dot org> 2.2.2-alt2
- prefer XLinSans before Numbus
- prefer MS Fonts before Fixed

* Thu May 20 2004 Sergey V Turchin <zerg at altlinux dot org> 2.2.2-alt1
- new version
- merge configuration scheme from SuSE

* Mon Feb 09 2004 Sergey V Turchin <zerg at altlinux dot org> 2.2.1-alt5
- fix path to ms-fonts-ttf

* Tue Dec 02 2003 Dmitry V. Levin <ldv@altlinux.org> 2.2.1-alt4
- Ignore .fulldir entries from earlier versions 'dircache' fix (RH).
- Don't read from/write to NULL cache files (RH).
- Do not package .la files.

* Thu Oct 30 2003 AEN <aen@altlinux.ru> 2.2.1-alt3
- XLinSans is preferable Sans now

* Wed Jul 16 2003 AEN <aen@altlinux.ru> 2.2.1-alt2
- old fonts.conf restored

* Wed Jun 18 2003 AEN <aen@altlinux.ru> 2.2.1-alt1
- 2.2.1
- mhz patches & spec

* Wed Jun 11 2003 Mikhail Zabaluev <mhz@altlinux.ru> 2.2.0-alt0.1
- New version
- Patch3 gone upstream
- Use default config with known-good preconfigured paths
- Disabled doc build broken too badly
- Cleaned up filelist
- Optional devel-static subpackage

* Sat Apr 12 2003 AEN <aen@altlinux.ru> 2.1-alt2
- dircahce patch from RH

* Fri Feb 28 2003 AEN <aen@altlinux.ru> 2.1-alt1
- new version

* Fri Jan 17 2003 AEN <aen@altlinux.ru> 2.0-alt12
- desplitting

* Sun Jan 05 2003 AEN <aen@altlinux.ru> 2.0-alt11
- lib%name required %name

* Wed Nov 20 2002 AEN <aen@altlinux.ru> 2.0-alt10
- path to jdk-fonts added to fonts.conf

* Wed Nov 20 2002 Mikhail Zabaluev <mhz@altlinux.ru> 2.0-alt9.1mhz
- libification (again)
- remove src/fclang.o to rebuild just it instead of all-out make clean

* Wed Nov 13 2002 AEN <aen@altlinux.ru> 2.0-alt9
- build fixed

* Tue Oct 15 2002 AEN <aen@altlinux.ru> 2.0-alt8
- XLinSans & CourierCyr added to fonts.conf

* Fri Oct 11 2002 AEN <aen@altlinux.ru> 2.0-alt7
- fonts.conf changed again

* Thu Oct 10 2002 AEN <aen@altlinux.ru> 2.0-alt6
- ru.orth fix
- lang.h build

* Tue Oct 08 2002 AEN <aen@altlinux.ru> 2.0-alt5
- gww-ttf removed from fonts.conf

* Fri Oct 04 2002 AEN <aen@altlinux.ru> 2.0-alt4
- fonts.conf fixed

* Fri Oct 04 2002 AEN <aen@altlinux.ru> 2.0-alt3
- patches & %post from RH

* Mon Sep 23 2002 AEN <aen@altlinux.ru> 2.0-alt2
- %files fixed

* Wed Sep 18 2002 AEN <aen@altlinux.ru> 2.0-alt1
- release

* Tue Jul 02 2002 AEN <aen@logic.ru> 0.0.1-alt1
- first build for Sisyphus
- config patch (alt specific)

* Tue Jun 18 2002 Owen Taylor <otaylor@redhat.com>
- Fix crash from FcObjectSetAdd

* Tue Jun 11 2002 Owen Taylor <otaylor@redhat.com>
- make fonts.conf %%config, not %%config(noreplace)
- Another try at the CJK aliases
- Add some CJK fonts to the config
- Prefer Luxi Mono to Nimbus Mono

* Mon Jun 10 2002 Owen Taylor <otaylor@redhat.com>
- New upstream version
- Fix matching for bitmap fonts

* Mon Jun  3 2002 Owen Taylor <otaylor@redhat.com>
- New version, new upstream mega-tarball

* Tue May 28 2002 Owen Taylor <otaylor@redhat.com>
- Fix problem with FcConfigSort

* Fri May 24 2002 Owen Taylor <otaylor@redhat.com>
- Initial specfile

